Subject: Re: With big repos and slower connections, git clone can be hard to work with

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Jun 2024 08:12:12 -0700

Jeff King <[email-masked]> writes:

> I think they serve two different purposes. A packfile URI does not have
> any connectivity guarantees. So it lets a server say "here's all the
> objects, except for XYZ which you should fetch from this URL". That's
> good for offloading pieces of a clone, like single large objects.
>
> Whereas bundle URIs require very little cooperation from the server.
> While a server can advertise bundle URIs, it doesn't need to know about
> the particular bundle a client grabbed. The client comes back with the
> usual have/want, just like any other fetching client.

Yes, a bundle being a self-contained "object-store + tips", it is
a much more suitable building block for offloading clone traffic.